# Сохраняет произведение первого и последнего числа из файла /var/result/data.txt в /var/result/result.txt.

print("start worker_2")

with open('/var/result/data.txt', 'r') as f:
    numbers = [int(num) for num in f.read().split() if num.isdigit()]

if numbers:
    first_number = numbers[0]
    last_number = numbers[-1]

    result = first_number * last_number

    with open('/var/result/result.txt', 'w') as f:
        f.write(f"{result}\n")

    print(f"Получен результат - {result}")
else:
    print("Результат не получен. Файл не содержит чисел")
